%define _unpackaged_files_terminate_build 0

Name:		shadow-utils
Version:	4.0.12
Release:	%mkrel 8
Epoch:		2
Summary:	Utilities for managing shadow password files and user/group accounts
License:	BSD
Group:		System/Base
URL:		http://shadow.pld.org.pl/
Source0:	ftp://ftp.pld.org.pl/software/shadow/shadow-%{version}.tar.bz2
Source1:	shadow-970616.login.defs
Source2:	shadow-970616.useradd
Source3:	adduser.8
Source4:	pwunconv.8
Source5:	grpconv.8
Source6:	grpunconv.8
# http://qa.mandriva.com/show_bug.cgi?id=27082
Source7:	shadow-utils-nl.po
Patch0:         shadow-4.0.12-mdk.patch
Patch1:		shadow-4.0.12-nscd.patch
Patch2:		shadow-4.0.3-rpmsave.patch
Patch3:		shadow-4.0.11.1-no-syslog-setlocale.patch
Patch4:		shadow-4.0.12-dotinname.patch
# http://qa.mandriva.com/show_bug.cgi?id=29221
Patch5:		shadow-4.0.12-unlock.patch
# http://qa.mandriva.com/show_bug.cgi?id=29009
Patch6:		shadow-4.0.12-do-copy-skel-if-home-directory-exists-but-is-empty.patch
BuildRequires:	gettext-devel
BuildRequires:  automake1.7
Obsoletes:	adduser, newgrp
Provides: 	adduser, newgrp
Conflicts:	msec < 0.47
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The shadow-utils package includes the necessary programs for
converting UNIX password files to the shadow password format, plus
programs for managing user and group accounts.  The pwconv command
converts passwords to the shadow password format.  The pwunconv command
unconverts shadow passwords and generates an npasswd file (a standard
UNIX password file).  The pwck command checks the integrity of
password and shadow files.  The lastlog command prints out the last
login times for all users.  The useradd, userdel and usermod commands
are used for managing user accounts.  The groupadd, groupdel and
groupmod commands are used for managing group accounts.

%prep
%setup -q -n shadow-%{version}
%patch0 -p1 -b .mdk
%patch1 -p1 -b .nscd
%patch2 -p1 -b .rpmsave
%patch3 -p1 -b .chmou
%patch4 -p1 -b .dot
%patch5 -p1 -b .unlock
%patch6 -p1 -b .skel
cp -f %{SOURCE7} po/nl.po
rm -f po/nl.gmo

%build
%serverbuild
%configure --disable-shared
%make
# because of the extra po file added manually
make -C po update-gmo

%install
rm -rf %{buildroot}
%{makeinstall_std} gnulocaledir=%{buildroot}/%{_datadir}/locale MKINSTALLDIRS=`pwd`/mkinstalldirs

install -d -m 750 %{buildroot}%{_sysconfdir}/default
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/login.defs
install -m 0600 %{SOURCE2} %{buildroot}%{_sysconfdir}/default/useradd


ln -s useradd %{buildroot}%_sbindir/adduser
install -m644 %SOURCE3 %{buildroot}%_mandir/man8/
install -m644 %SOURCE4 %{buildroot}%_mandir/man8/
install -m644 %SOURCE5 %{buildroot}%_mandir/man8/
install -m644 %SOURCE6 %{buildroot}%_mandir/man8/
perl -pi -e "s/encrpted/encrypted/g" %{buildroot}%{_mandir}/man8/newusers.8

%find_lang shadow

%clean
rm -rf %{buildroot}
rm -rf build-$RPM_ARCH

%files -f shadow.lang
%defattr(-,root,root)
%doc doc/HOWTO NEWS
%doc doc/LICENSE doc/README doc/README.linux
%attr(0644,root,root)	%config(noreplace) %{_sysconfdir}/login.defs
%attr(0600,root,root)	%config(noreplace) %{_sysconfdir}/default/useradd
%{_bindir}/sg
%{_bindir}/chage
%{_bindir}/faillog
%{_bindir}/gpasswd
%{_bindir}/expiry
%{_bindir}/login
%attr(4711,root,root)   %{_bindir}/newgrp
%{_bindir}/lastlog
%{_sbindir}/logoutd
%{_sbindir}/adduser
%{_sbindir}/user*
%{_sbindir}/group*
%{_sbindir}/grpck
%{_sbindir}/pwck
%{_sbindir}/*conv
%{_sbindir}/chpasswd
%{_sbindir}/newusers
#%{_sbindir}/mkpasswd
%{_mandir}/man1/chage.1*
%{_mandir}/man1/newgrp.1*
%{_mandir}/man1/gpasswd.1*
#%{_mandir}/man3/shadow.3*
%{_mandir}/man5/shadow.5*
%{_mandir}/man5/faillog.5*
%{_mandir}/man8/adduser.8*
%{_mandir}/man8/group*.8*
%{_mandir}/man8/user*.8*
%{_mandir}/man8/pwck.8*
%{_mandir}/man8/grpck.8*
%{_mandir}/man8/chpasswd.8*
%{_mandir}/man8/newusers.8*
#%{_mandir}/man8/mkpasswd.8*
%{_mandir}/man8/*conv.8*
%{_mandir}/man8/lastlog.8*
%{_mandir}/man8/faillog.8*




%changelog
* Mon Sep 17 2007 Andreas Hasenack <andreas@mandriva.com> 4.0.12-8mdv2008.0
+ Revision: 89134
- fixed groupadd manpage synopsis (#33533)

* Mon Jul 02 2007 Andreas Hasenack <andreas@mandriva.com> 2:4.0.12-7mdv2008.0
+ Revision: 47132
- updated nl po file (#27082)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2:4.0.12-6mdv2008.0
+ Revision: 45099
- using serverbuild macro (-fstack-protector-all)

* Tue Jun 12 2007 Pixel <pixel@mandriva.com> 2:4.0.12-5mdv2008.0
+ Revision: 38108
- allow adduser to copy skel directory if the home directory exists but is empty (#29009)


* Mon Mar 19 2007 Andreas Hasenack <andreas@mandriva.com> 4.0.12-4mdv2007.1
+ Revision: 146707
- don't leave lock files lying around (#29221)

  + Pixel <pixel@mandriva.com>
    - Import shadow-utils

* Thu Jun 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2:4.0.12-3mdv2007.0
- /etc/default doesn't belong to this package
- some spec cleanup

* Sat Jun 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2:4.0.12-2mdv2007.0
- Add patch 4: allow dots and capitals in usernames (Rawhide)
- Remove provide itself with larger version; increased epoch instead
- Uncompressed patches

* Wed Sep 14 2005 Warly <warly@mandriva.com> 1:4.0.12-mdk
- new version, fix a bug which overwrite user config in conectiva upgrade

* Mon Aug 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.0.11.1-4mdk
- NEWS is more usefull than ChangeLog

* Sat Aug 13 2005 Frederic Lepied <flepied@mandriva.com> 4.0.11.1-3mdk
- Conflicts with msec < 0.47

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 4.0.11.1-2mdk
- Remove packager tag
- mkrel

* Sat Aug 06 2005 Cris <cris@mandrive.com> 1:4.0.11.1-1mdk
- New version
- Drop all unused patches
- Clean up spec file
- Respin some patches based on fedora core 4 4.0.7 versions

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 1:4.0.3-8mdk
- Fix the nscd patch to refer to the right pid file (bug 14840)

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.0.3-8mdk
- fix gcc-3.4 build (P501)
- use %%make and %%makeinstall_std macro
- work around problem with mkinstalldirs
- drop prefix tag

